m4 (1.4.19-6) unstable; urgency=medium

  * Build using C17 standard. Closes: #1097346.
  * Add Vcs-Git and Vcs-Browser fields.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Wed, 05 Mar 2025 19:10:00 +0100

m4 (1.4.19-5) unstable; urgency=medium

  * Add a preliminary debian/salsa-ci.yml.
  * Add autopkgtests.
  * Do not trim Debian changelog.
  * Update Standards-Version.

 -- Santiago Vila <sanvila@debian.org>  Tue, 07 Jan 2025 12:25:00 +0100

m4 (1.4.19-4) unstable; urgency=medium

  * Create debian/clean, containing the files which are re-created during
    the build. This allows a source build after a successful binary build.
    Closes: #1046299.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Sep 2023 19:55:00 +0200

m4 (1.4.19-3) unstable; urgency=medium

  * Add support for loongarch. Thanks to Dandan Zhang. Closes: #1030117.
  * Temporarily enable autoreconf for the above to work.
  * Call makeinfo using --output option. This allows the package to be
    built with Texinfo 7. Thanks to Hilmar Preusse. Closes: #1030352.

 -- Santiago Vila <sanvila@debian.org>  Fri, 03 Feb 2023 14:00:00 +0100

m4 (1.4.19-2) unstable; urgency=medium

  * Set upstream metadata fields Bug-Submit, Name and Repository-Browse.
  * Remove field Priority on binary package m4-doc that duplicates source.
  * Use a common debian/watch file which is valid for most GNU packages.
  * Update standards version to 4.6.2.
  * Run wrap-and-sort.

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2023 14:50:00 +0100

m4 (1.4.19-1) unstable; urgency=medium

  * New upstream release.
  * Fix FTBFS with glibc 2.34. Closes: #1017169.
  * Raise debhelper compatibility level from 10 to 13.
  * Skip test 198.sysval because it's buggy. Will be fixed in 1.4.20.
  * Update paths in debian/m4-doc.doc-base, as docs are now installed
    directly in /usr/share/doc/m4.

 -- Santiago Vila <sanvila@debian.org>  Mon, 15 Aug 2022 17:20:00 +0200

m4 (1.4.18-5) unstable; urgency=medium

  * Remove date from generated html and info files. Closes: #950419.
    Thanks to Vagrant Cascadian.
  * Raise debhelper compatibility version from 9 to 10.
  * Use https in homepage, copyright and watchfile.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Jan 2021 23:34:00 +0100

m4 (1.4.18-4) unstable; urgency=medium

  * Move texinfo from Build-Depends-Indep to Build-Depends.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Nov 2019 13:35:14 +0100

m4 (1.4.18-3) unstable; urgency=medium

  * Add documentencoding to texi file to fix a FTBFS problem.
  * Add signature for the upstream tarball.

 -- Santiago Vila <sanvila@debian.org>  Sun, 03 Nov 2019 12:33:42 +0100

m4 (1.4.18-2) unstable; urgency=medium

  * Fix FTBFS with glibc 2.28. Closes: #915152.
  * Rules-Requires-Root: no.

 -- Santiago Vila <sanvila@debian.org>  Sat, 01 Dec 2018 15:46:54 +0100

m4 (1.4.18-1) unstable; urgency=medium

  * New upstream release, mostly portability fixes.
  * Drop 01-float-endian-detection, adopted upstream.
  * Drop 02-add-escapes-for-braces-in-perl-regex, adopted upstream.
  * Drop 99-config-guess-config-sub, no longer needed when using dh
    and a recent enough debhelper.
  * This is now a 0-patch package again, hurrah!
  * Priority: optional, following the override file.
  * Add "Suggests: m4-doc" to m4, for those who prefer documentation
    in HTML format. Closes: #805898.
  * Add the key of Eric Blake as debian/upstream/signing-key.asc and
    modify the watch file accordingly.
  * Standards-Version: 3.9.8 (no special changes for this).

 -- Santiago Vila <sanvila@debian.org>  Thu, 05 Jan 2017 19:01:38 +0100

m4 (1.4.17-5) unstable; urgency=medium

  * build-aux/update-copyright: Add escapes for braces in perl regex.
    New perl 5.22 gives a deprecation warning on stderr, making
    test-update-copyright.sh to fail, making the package to FTBFS.
    Reported by Chris Lamb. Closes: #808917.
  * Update config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Thu, 24 Dec 2015 19:04:24 +0100

m4 (1.4.17-4) unstable; urgency=medium

  * Fixed lintian warning "description-synopsis-starts-with-article".
  * Fix detection of floating point endianness. Closes: #748361.
    This should make build tests to work again on ppc64el.
    Patch from Alan Modra taken from Ubuntu. Thanks a lot.
    Note: This is really a gnulib problem.
  * Updated config.guess and config.sub.

 -- Santiago Vila <sanvila@debian.org>  Sat, 17 May 2014 20:00:16 +0200

m4 (1.4.17-3) unstable; urgency=medium

  * Moved texinfo from Build-Depends to Build-Depends-Indep and changed
    debian/rules accordingly, to ease bootstrapping. Closes: #737935.
    Patch by Daniel Schepler. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Thu, 06 Mar 2014 16:51:20 +0100

m4 (1.4.17-2) unstable; urgency=medium

  * Dropped --split=chapter from makeinfo invocation when generating HTML,
    it is not needed and it makes hppa build to fail. Closes: #730840.

 -- Santiago Vila <sanvila@debian.org>  Sun, 01 Dec 2013 13:53:08 +0100

m4 (1.4.17-1) unstable; urgency=low

  * New upstream release.
  * Switch from texi2html to makeinfo.
  * Added --disable-rpath to ./configure call.
  * Dropped 01-no-usr-share-info-dir-gz. debhelper sets AM_UPDATE_INFO_DIR=no.
  * Dropped 02-workaround-for-binutils-bug-on-mips. This was Bug #519006 and
    it was fixed three years ago in binutils_2.20.51.20100925-1.
  * Dropped 03-fix-for-test-readlink. This was a gnulib issue and it was fixed
    in 2011-03-30 by commit dc44690985e727ac2ef5af783a495a369223ab69.
  * Dropped 04-fix-for-gnulib-glibc-gets. This was a gnulib issue and it was
    fixed in 2012-03-29 by commit 66712c23388e93e5c518ebc8515140fa0c807348.
  * Dropped 99-config-guess-config-sub. Current files are recent enough.
  * This is again a 0-patch package. Congratulations to all parties involved.

 -- Santiago Vila <sanvila@debian.org>  Sat, 12 Oct 2013 14:10:16 +0200

m4 (1.4.16-5) unstable; urgency=low

  * Added fix for gnulib compilation against eglibc 2.16, which no longer
    declares gets by default. Closes: #694952.

 -- Santiago Vila <sanvila@debian.org>  Sun, 24 Feb 2013 13:29:12 +0100

m4 (1.4.16-4) unstable; urgency=low

  * Updated config.guess and config.sub.
  * Link against libsigsegv, recommended by upstream. Closes: #688804.

 -- Santiago Vila <sanvila@debian.org>  Wed, 17 Oct 2012 10:44:20 +0200

m4 (1.4.16-3) unstable; urgency=low

  * Switch to dh.
  * Added Multi-Arch: foreign. Closes: #640783.

 -- Santiago Vila <sanvila@debian.org>  Mon, 07 May 2012 16:11:38 +0200

m4 (1.4.16-2) unstable; urgency=medium

  * Fixed test-readlink to work with recent Linux. Closes: #630902.

 -- Santiago Vila <sanvila@debian.org>  Wed, 27 Jul 2011 22:03:24 +0200

m4 (1.4.16-1) unstable; urgency=low

  * New upstream release.
  * Use strip with prefix for cross-build.
  * Dropped 03-missing-sys-stat-include, no longer needed.

 -- Santiago Vila <sanvila@debian.org>  Tue, 05 Apr 2011 17:35:10 +0200

m4 (1.4.14-3) unstable; urgency=medium

  * Fix FTBFS problem with Ubuntu glibc. Closes: #584777.
    Thanks to Loïc Minier for the report.

 -- Santiago Vila <sanvila@debian.org>  Fri, 11 Jun 2010 18:42:02 +0200

m4 (1.4.14-2) unstable; urgency=low

  * Added workaround for binutils bug which makes test suite to fail on mips.
    Patch by Arnaud Patard. Thanks a lot.

 -- Santiago Vila <sanvila@debian.org>  Thu, 25 Mar 2010 19:00:10 +0100

m4 (1.4.14-1) unstable; urgency=low

  * New upstream release. Documentation is now under FDLv3+.

 -- Santiago Vila <sanvila@debian.org>  Sat, 27 Feb 2010 12:23:32 +0100

m4 (1.4.13-4) unstable; urgency=low

  * Improved regex of watch file to not report "latest" as the latest version.
    Closes: #554443. Thanks, Raphael Geissert.
  * Changed the way cross-build is supported.
  * Switch to 3.0 (quilt) source format.
  * Source in tar.bz2, while we are at it.
  * Use strip, not "install -s".
  * Added homepage.

 -- Santiago Vila <sanvila@debian.org>  Sun, 21 Feb 2010 20:39:22 +0100

m4 (1.4.13-3) unstable; urgency=medium

  * Changed debian/* files again for new texi2html behaviour. Closes: #552926.

 -- Santiago Vila <sanvila@debian.org>  Wed, 04 Nov 2009 12:19:02 +0100

m4 (1.4.13-2) unstable; urgency=low

  * Modified doc/Makefile.in to avoid /usr/share/info/dir.gz.
  * Handle info files as indicated by policy 3.8.3.
  * Removed useless calls to install-docs.
  * Updated config.guess and config.sub.
  * Honor nocheck in DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sun, 30 Aug 2009 19:09:10 +0200

m4 (1.4.13-1) unstable; urgency=low

  * New upstream release.
  * Moved to doc-base Programming section.

 -- Santiago Vila <sanvila@debian.org>  Sat, 11 Apr 2009 18:51:28 +0200

m4 (1.4.11-1) unstable; urgency=low

  * New upstream release.
  * Changed copyright file to refer to the GFDL in common-licenses.

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Apr 2008 09:49:04 +0200

m4 (1.4.10-1) unstable; urgency=low

  * New upstream release (now under GPLv3). Closes: #433233.

 -- Santiago Vila <sanvila@debian.org>  Thu, 23 Aug 2007 12:46:14 +0200

m4 (1.4.9-2) unstable; urgency=low

  * Fixed regression in eval builtin. Patch from CVS.

 -- Santiago Vila <sanvila@debian.org>  Fri, 25 May 2007 18:09:10 +0200

m4 (1.4.9-1) unstable; urgency=low

  * New upstream release.

 -- Santiago Vila <sanvila@debian.org>  Wed, 11 Apr 2007 08:23:36 +0200

m4 (1.4.8-2) unstable; urgency=medium

  * Fixed command line parsing bug which produced a segfault. Closes: #405594.
    Thanks to Sami Liedes for the report and the patch.

 -- Santiago Vila <sanvila@debian.org>  Fri,  5 Jan 2007 11:05:48 +0100

m4 (1.4.8-1) unstable; urgency=low

  * New upstream release. Lots of fixes, see the NEWS file for details.

 -- Santiago Vila <sanvila@debian.org>  Wed, 29 Nov 2006 16:53:44 +0100

m4 (1.4.7-1) unstable; urgency=low

  * New upstream release. See the NEWS file for details.

 -- Santiago Vila <sanvila@debian.org>  Mon, 25 Sep 2006 19:20:30 +0200

m4 (1.4.6-2) unstable; urgency=low

  * Fixed regression in handling macro without arguments as last token in file.
    Patch by Eric Blake (Closes: #385720). Reported by Andreas Schultz.

 -- Santiago Vila <sanvila@debian.org>  Mon,  4 Sep 2006 17:55:38 +0200

m4 (1.4.6-1) unstable; urgency=low

  * New upstream release. Lots of fixes, see the NEWS file for details.
  * Fixed incorrect output when using -s and -I (Closes: #53685).
  * Improved handling of "format" builtin (Closes: #96075).
  * Improved error message in case of EOF (Closes: #175365).
  * m4 is now 8-bit clean (Closes: #311378).

 -- Santiago Vila <sanvila@debian.org>  Mon, 28 Aug 2006 20:20:28 +0200

m4 (1.4.4-1) unstable; urgency=low

  * New upstream release.
  * Exit status is now 1 when missing files (Closes: #40148, #46403).
    This brings the behaviour in line with the future 2.0 release,
    so if your script breaks, you get to keep both pieces.
  * Updated FSF address in copyright file.

 -- Santiago Vila <sanvila@debian.org>  Fri, 21 Oct 2005 16:22:40 +0200

m4 (1.4.3-2) unstable; urgency=low

  * Fixed FTBFS bug caused by new texi2html behaviour (Closes: #317860).

 -- Santiago Vila <sanvila@debian.org>  Tue, 12 Jul 2005 16:35:20 +0200

m4 (1.4.3-1) unstable; urgency=low

  * New upstream release.
  * Added watch file.

 -- Santiago Vila <sanvila@debian.org>  Thu, 31 Mar 2005 19:14:00 +0200

m4 (1.4.2-2) unstable; urgency=low

  * Added appropriate --build and --host options to ./configure call in
    debian/rules to support cross-compilation. Also, skip "make check"
    after the build if we are cross-compiling. Closes: #283724.

 -- Santiago Vila <sanvila@debian.org>  Sat,  8 Jan 2005 19:38:46 +0100

m4 (1.4.2-1) unstable; urgency=low

  * New stable release (portability bug fixes, no user visible changes).
  * Changed doc-base and copyright files to UTF-8 (Closes: #266018).

 -- Santiago Vila <sanvila@debian.org>  Sun,  3 Oct 2004 18:55:52 +0200

m4 (1.4.1-1) unstable; urgency=low

  * The "10th anniversary" release.
  * From the official announcement: This release contains long standing bug
    fixes to the venerable 10 year old 1.4 release. It does not contain any
    of the development code from the forthcoming 2.0 release on the CVS trunk.
  * Removed build-dependency on texinfo (the .texi is untouched now).
  * Except for the debian/* files, this is now a 0-patch package.

 -- Santiago Vila <sanvila@debian.org>  Wed,  9 Jun 2004 16:40:44 +0200

m4 (1.4-17) unstable; urgency=medium

  * Propagate `translit' buffer-overrun patch from upstream.
    Thanks a lot to Paul Eggert for the report (Closes: #211477).

 -- Santiago Vila <sanvila@debian.org>  Thu, 18 Sep 2003 02:42:02 +0200

m4 (1.4-16) unstable; urgency=low

  * Changes in /usr/share/doc/m4/examples:
  - Modified stackovf.sh to use tempfile if it exists.
  - Removed Makefile and Makefile.in, they do not belong there.

 -- Santiago Vila <sanvila@debian.org>  Wed,  3 Sep 2003 17:04:48 +0200

m4 (1.4-15) unstable; urgency=low

  * Standards-Version: 3.5.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 29 Dec 2002 14:43:42 +0100

m4 (1.4-14) unstable; urgency=low

  * Added doc-base support.
  * Added support for DEB_BUILD_OPTIONS.

 -- Santiago Vila <sanvila@debian.org>  Sat, 24 Nov 2001 14:03:16 +0100

m4 (1.4-13) unstable; urgency=low

  * Do not mix buffered and unbuffered I/O, breaks autoconf under GNU/Hurd.
    Patch by Robert Bihlmeyer. Closes: #53052, #92629.

 -- Santiago Vila <sanvila@debian.org>  Wed,  4 Apr 2001 16:47:08 +0200

m4 (1.4-12) unstable; urgency=low

  * Modified maketemp macro to behave like OpenBSD version (Closes: #84416).
  * Fixed format string vulnerability (Closes: #84451).
  * Build-Depends: texinfo, since the .texi source is now modified.
  * Build-Depends-Indep: texi2html, not tetex-bin.

 -- Santiago Vila <sanvila@debian.org>  Mon,  5 Feb 2001 18:47:57 +0100

m4 (1.4-11) unstable; urgency=low

  * Standards-Version: 3.1.1.

 -- Santiago Vila <sanvila@debian.org>  Sat, 16 Dec 2000 20:42:35 +0100

m4 (1.4-10) unstable; urgency=low

  * Added m4(1), which refers to the info docs (Bug #33596).
  * Updated FSF's address in copyright file.

 -- Santiago Vila <sanvila@ctv.es>  Sun,  7 Mar 1999 17:34:21 +0100

m4 (1.4-9) unstable; urgency=low

  * Added HTML docs, in a separate package.

 -- Santiago Vila <sanvila@ctv.es>  Tue, 13 Oct 1998 21:07:44 +0200

m4 (1.4-8) unstable; urgency=low

  * info description in development section, bug #14911.
  * Improved check-them, the fix in 1.4-7 made checks 30 and 51 to fail.
  * Added NEWS, README, TODO and THANKS to the doc directory.
  * Shortened extended description (some info moved to copyright file).
  * Rewritten debian/rules.
  * Pristine source.
  * Added md5sums.
  * New maintainer.

 -- Santiago Vila <sanvila@ctv.es>  Thu,  4 Dec 1997 13:44:42 +0100

m4 (1.4-7) unstable; urgency=low

  * linked against libc6, bug#11703
  * added language control to check-them, bug#11545
  * added change logs to /usr/doc/m4, bug#10236
  * modified location of ./config in control file, bug#9716
  * removed trailing depends

 -- Dale Scheetz <dwarf@polaris.net>  Fri, 12 Sep 1997 11:35:12 -0400

m4 (1.4-6) unstable; urgency=low

  * fixed binary-arch and binary-indep targets in debian/rules.

 -- Dale Scheetz <dwarf@polaris.net>  Sun, 29 Sep 1996 16:29:38 -0400

m4 (1.4-5) unstable; urgency=low

  * Converted to Standards-Version 2.1.0.0

 -- Dale Scheetz <dwarf@polaris.net>  Fri, 27 Sep 1996 14:10:56 -0400

M4 1.4 Debian 3 - dcs

* updated debian.rules and debian.control for architecture and name.

M4 1.4 Debian 2 - dcs

* Rebuild as ELF

M4 1.4 Debian 1 - iwj

* Based on FSF version 1.4.  Changes 1.2=>1.3 in Changelog and NEWS.

M4 1.3 Debian 2 - iwj

* Corrected some mistakes in debian.README.
* Debian_Revision field in `control' corrected to Package_Revision.
* Added Info manual copyright to debian.README.

M4 1.3 Debian 1 - iwj

* Based on FSF version 1.3.  Changes 1.2=>1.3 in Changelog and NEWS.
* Added Debian_Revision field to control file.
* debian.rules deletes *.orig files.
* debian.rules build runs regression tests.

M4 1.2 Debian 2 - iwj

* Removed debian.rules install target.
* Added --quiet to install-info invocations.

M4 1.2 Debian 1 - iwj
Initial untested release.
